package com.usky.demo.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class HistorysInnerResultVO implements Serializable {
    private String deviceUUId;
    private String metric;
    private List<MetricItemVO> metricItems;

    public HistorysInnerResultVO(String deviceUUId, String metric, List<MetricItemVO> metricItems) {
        this.deviceUUId = deviceUUId;
        this.metric = metric;
        this.metricItems = metricItems;
    }
}
