package com.usky.demo.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class LastInnerResultVO implements Serializable {
    private String metric;
    private Long timestamp;
    private Object value;

    public LastInnerResultVO(String metric, Long timestamp, Object value) {
        this.metric = metric;
        this.timestamp = timestamp;
        this.value = value;
    }
}
